Printers¶
Endpoints related to printers.
- POST /printer-type/<uuid:printer_type_uuid>/clone/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested printer type cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /printer/¶
List all of the printer in the system for your account.
List all of the printer in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested printer cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – You cannot change the position of an already printing job. The requested printer name already exists. Cannot delete printer that has runs in queue. Remove runs before deleting printer. Cannot delete printer that has registered prints or active runs. Remove them before deleting printer. The sub_location provided in the relocation action doesn’t belong to the provided location
- POST /printer/¶
Create a new printer.
Create a new printer.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested printer cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – You cannot change the position of an already printing job. The requested printer name already exists. Cannot delete printer that has runs in queue. Remove runs before deleting printer. Cannot delete printer that has registered prints or active runs. Remove them before deleting printer. The sub_location provided in the relocation action doesn’t belong to the provided location
- Response Headers:
Location – URI of the created resource
- GET /printer/{uuid}/¶
Get a single printer by UUID.
Get a single printer by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested printer cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – You cannot change the position of an already printing job. The requested printer name already exists. Cannot delete printer that has runs in queue. Remove runs before deleting printer. Cannot delete printer that has registered prints or active runs. Remove them before deleting printer. The sub_location provided in the relocation action doesn’t belong to the provided location
- PUT /printer/{uuid}/¶
Update a printer by UUID.
Update a printer by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested printer cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – You cannot change the position of an already printing job. The requested printer name already exists. Cannot delete printer that has runs in queue. Remove runs before deleting printer. Cannot delete printer that has registered prints or active runs. Remove them before deleting printer. The sub_location provided in the relocation action doesn’t belong to the provided location
- DELETE /printer/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested printer cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – You cannot change the position of an already printing job. The requested printer name already exists. Cannot delete printer that has runs in queue. Remove runs before deleting printer. Cannot delete printer that has registered prints or active runs. Remove them before deleting printer. The sub_location provided in the relocation action doesn’t belong to the provided location
- GET /printer-type/¶
Without filters - list all of printer-types in the system for user’s bureau.
Without filters - list all of printer-types in the system for user’s bureau.
By default - will return all records for Bureau and exclude all templates. If passed
is_template == True- will return only shared between bureaus records and will exclude printer-types for current user bureau.- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested printer type cannot be found.
400 Bad Request – The requested printer type name already exists. You cannot delete this printer_type because there are printers associated with it. Delete all printers of this type first. There is a mismatch in the bureau and the bureau of manufacturer in the payload. Kindly make sure the manufacturer belongs to the same bureau. The value you provided for materials does not appear to be a valid material
403 Forbidden – You are not authorized to complete the request.
- POST /printer-type/¶
Create a new printer-type.
Create a new printer-type.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested printer type cannot be found.
400 Bad Request – The requested printer type name already exists. You cannot delete this printer_type because there are printers associated with it. Delete all printers of this type first. There is a mismatch in the bureau and the bureau of manufacturer in the payload. Kindly make sure the manufacturer belongs to the same bureau. The value you provided for materials does not appear to be a valid material
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /printer-type/{uuid}/¶
Get a single printer-type by UUID.
Get a single printer-type by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested printer type cannot be found.
400 Bad Request – The requested printer type name already exists. You cannot delete this printer_type because there are printers associated with it. Delete all printers of this type first. There is a mismatch in the bureau and the bureau of manufacturer in the payload. Kindly make sure the manufacturer belongs to the same bureau. The value you provided for materials does not appear to be a valid material
403 Forbidden – You are not authorized to complete the request.
- PUT /printer-type/{uuid}/¶
Update a printer-type by UUID.
Update a printer-type by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested printer type cannot be found.
400 Bad Request – The requested printer type name already exists. You cannot delete this printer_type because there are printers associated with it. Delete all printers of this type first. There is a mismatch in the bureau and the bureau of manufacturer in the payload. Kindly make sure the manufacturer belongs to the same bureau. The value you provided for materials does not appear to be a valid material
403 Forbidden – You are not authorized to complete the request.
- DELETE /printer-type/{uuid}/¶
Delete a printer-type by UUID.
Delete a printer-type by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested printer type cannot be found.
400 Bad Request – The requested printer type name already exists. You cannot delete this printer_type because there are printers associated with it. Delete all printers of this type first. There is a mismatch in the bureau and the bureau of manufacturer in the payload. Kindly make sure the manufacturer belongs to the same bureau. The value you provided for materials does not appear to be a valid material
403 Forbidden – You are not authorized to complete the request.
- GET /fusion-print-settings/¶
List print settings from the local JSON file.
List print settings from the local JSON file.
This method loads print settings from a local JSON file that contains data directly exported from the Fusion engine. Since the association method between machines and print settings is not clearly documented by Autodesk, this direct export approach ensures accurate mapping data.
- Returns:
ResourceList: A paginated list of print settings
- Note:
All settings in the JSON file are considered valid since they were directly exported from the Fusion engine.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- GET /printer-type-batch-relationship/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – You are not authorized to complete the request.
- GET /printer-type-batch-relationship/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – You are not authorized to complete the request.
- GET /fusion-printer-type/¶
Get a list of fusion printer types with optional filters
Get a list of fusion printer types with optional filters
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – fusion-printer-type-not-found: The requested fusion printer type was not found
401 Unauthorized – fusion-integration-disabled: Fusion integration is not enabled for this bureau
409 Conflict – printer-type-already-associated: This printer type already has a Fusion configuration association
400 Bad Request – invalid-printer-settings: Invalid printer settings
- POST /fusion-printer-type/¶
Create a new fusion printer type association
Create a new fusion printer type association
- Status Codes:
201 Created – Resource created successfully
404 Not Found – fusion-printer-type-not-found: The requested fusion printer type was not found
401 Unauthorized – fusion-integration-disabled: Fusion integration is not enabled for this bureau
409 Conflict – printer-type-already-associated: This printer type already has a Fusion configuration association
400 Bad Request – invalid-printer-settings: Invalid printer settings
- Response Headers:
Location – URI of the created resource
- GET /fusion-printer-type/{uuid}/¶
Get a single fusion printer type by UUID
Get a single fusion printer type by UUID
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – fusion-printer-type-not-found: The requested fusion printer type was not found
401 Unauthorized – fusion-integration-disabled: Fusion integration is not enabled for this bureau
409 Conflict – printer-type-already-associated: This printer type already has a Fusion configuration association
400 Bad Request – invalid-printer-settings: Invalid printer settings
- PUT /fusion-printer-type/{uuid}/¶
Update an existing fusion printer type association
Update an existing fusion printer type association
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – fusion-printer-type-not-found: The requested fusion printer type was not found
401 Unauthorized – fusion-integration-disabled: Fusion integration is not enabled for this bureau
409 Conflict – printer-type-already-associated: This printer type already has a Fusion configuration association
400 Bad Request – invalid-printer-settings: Invalid printer settings